#
#  photexam.cl
#
#  use noao.digiphot.daophot.daofind/tvmark first !
#  use cutout.cl to cut out the all objects
#

procedure       photexam( image, coords, out_log )

file    image           {prompt = "Input image for photometry"}
file    coords          {prompt = "Input coordinate list"}
file    out_log         {prompt = "Output log file of flux, sky, and FWHM"}

struct  *list1    {mode = 'h'}
struct  *list2    {mode = 'h'}
#
#
begin
        string  tmpfile1, tmpfile2

        string  junk1, junk2, junk3, junk4, junk5, junk6, junk7

        string  image1, coords1

        string  out_log1

        int     i

        real    flux1, sky1, el1, pa1, fwhm1
        real    flux2, sky2, el2, pa2, fwhm2
        real    flux3, sky3, el3, pa3, fwhm3
        real    flux4, sky4, el4, pa4, fwhm4
        real    flux5, sky5, el5, pa5, fwhm5
        real    flux6, sky6, el6, pa6, fwhm6

        real    x, y

        image1 = image
        coords1 = coords
        out_log1 = out_log

        list1 = coords1
        list2 = ""
        tmpfile1  = mktemp( "tmp_file." )
        tmpfile2  = mktemp( "tmp_file." )

        i=0
        while( fscan ( list1, junk1, y ) != EOF )
            {
            if( fscan( junk1, x ) == 1 ){
                delete( tmpfile1,ver-,>&"dev$null" )
                delete( tmpfile2,ver-,>&"dev$null" )
                print(":",x,y," ,", >> tmpfile1)
                print(":center no", >> tmpfile1)
                print(":fittype gaussian", >> tmpfile1)
                print(":iterations 1", >> tmpfile1)
                print(":radius 5", >> tmpfile1)
                print(":buffer 5", >> tmpfile1)
                print(":width 5", >> tmpfile1)
                wcsreset( image1, "physical" )
                imexam( image1, logfile=tmpfile2,keeplog+,graphcur-,imagecur=tmpfile1,wcs="physical",graphic="stdgraph",use_dis+ )
                list2 = tmpfile2
                if( fscan( list2, junk2 ) == 1){
                if( fscan( list2, junk2 ) == 1){
                if( fscan( list2,     x,     y ) == 2){
                   delete( tmpfile1,ver-,>&"dev$null" )
                   delete( tmpfile2,ver-,>&"dev$null" )
                   print(":",x,y," ,", >> tmpfile1)
                   print(":radius 10", >> tmpfile1)
                   print(":buffer 10", >> tmpfile1)
                   print(":width 10", >> tmpfile1)
                   print(":",x,y," ,", >> tmpfile1)
                   print(":radius 15", >> tmpfile1)
                   print(":buffer 15", >> tmpfile1)
                   print(":width 15", >> tmpfile1)
                   print(":",x,y," ,", >> tmpfile1)
                   print(":radius 20", >> tmpfile1)
                   print(":buffer 20", >> tmpfile1)
                   print(":width 20", >> tmpfile1)
                   print(":",x,y," ,", >> tmpfile1)
                   print(":radius 3", >> tmpfile1)
                   print(":buffer 3", >> tmpfile1)
                   print(":width 3", >> tmpfile1)
                   print(":",x,y," ,", >> tmpfile1)
                   print(":radius 4", >> tmpfile1)
                   print(":buffer 4", >> tmpfile1)
                   print(":width 4", >> tmpfile1)
                   print(":",x,y," ,", >> tmpfile1)
                   print(":center yes", >> tmpfile1)
                   print(":radius 5", >> tmpfile1)
                   print(":buffer 5", >> tmpfile1)
                   print(":width 5", >> tmpfile1)
                   wcsreset( image1, "physical" )
                   imexam( image1, logfile=tmpfile2,keeplog+,graphcur-,imagecur=tmpfile1,wcs="physical",graphic="stdgraph",use_dis+ )
                   list2 = tmpfile2
                   if( fscan( list2, junk2 ) == 1){
                   if( fscan( list2, junk2 ) == 1){
                       if( fscan( list2,     x,     y, junk4, flux1, sky1, junk5, junk6, el1, pa1, junk7, fwhm1) == 11){
                       if( fscan( list2, junk2, junk3, junk4, flux2, sky2, junk5, junk6, el2, pa2, junk7, fwhm2) == 11){
                       if( fscan( list2, junk2, junk3, junk4, flux3, sky3, junk5, junk6, el3, pa3, junk7, fwhm3) == 11){
                       if( fscan( list2, junk2, junk3, junk4, flux4, sky4, junk5, junk6, el4, pa4, junk7, fwhm4) == 11){
                       if( fscan( list2, junk2, junk3, junk4, flux5, sky5, junk5, junk6, el5, pa5, junk7, fwhm5) == 11){
                       if( fscan( list2, junk2, junk3, junk4, flux6, sky6, junk5, junk6, el6, pa6, junk7, fwhm6) == 11){
                           i = i+1
                           print( i, x, y, flux1, sky1, el1, pa1, fwhm1, flux2, sky2, el2, pa2, fwhm2, flux3, sky3, el3, pa3, fwhm3, \
                                           flux4, sky4, el4, pa4, fwhm4, flux5, sky5, el5, pa5, fwhm5, flux6, sky6, el6, pa6, fwhm6, >> out_log1 )
                           }}}}}}
                       }}
                   }}}
                }
            }
        print( 'Deleting Temporaly Files ...' )
        delete( tmpfile1,ver-,>&"dev$null" )
        delete( tmpfile2,ver-,>&"dev$null" )
        bye
end
